<?php

ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site'>".LG('Настройки сайта')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site&section=modules'>".LG('Управление модулями')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Рейтинг')."";
ECHO "</div>";

/*
----------------
Удаление медалей
----------------
*/

IF (GET('delete') && DB::GET_COLUMN("SELECT COUNT(*) FROM `RATING_MEDAL` WHERE `ID` = '".INTVAL(GET('delete'))."' LIMIT 1") == 1){
  
  $medal = DB::GET_STRING("SELECT * FROM `RATING_MEDAL` WHERE `ID` = '".INTVAL(GET('delete'))."' LIMIT 1");
  
  @UNLINK(ROOT.'/files/upload/medal/'.$medal['ID'].'.'.$medal['EXT'].'');
  
  DB::GET_SET("DELETE FROM `RATING_MEDAL` WHERE `ID` = '".$medal['ID']."' LIMIT 1");
  
  SUCCESS('Удаление прошло успешно', 'session');  
  REDIRECT('/panel/?path=site&section=modules&mod=rating&get=add_medal');
  
}

/*
----------------------
Редактирование медалей
----------------------
*/

IF (GET('edit') && DB::GET_COLUMN("SELECT COUNT(*) FROM `RATING_MEDAL` WHERE `ID` = '".INTVAL(GET('edit'))."' LIMIT 1") == 1){
  
  $medal = DB::GET_STRING("SELECT * FROM `RATING_MEDAL` WHERE `ID` = '".INTVAL(GET('edit'))."' LIMIT 1");
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $from = INTVAL(POST('from'));
    $before = INTVAL(POST('before'));
    
    IF ($from > $before){
      
      ERROR('Значение в поле От не может быть больше значения в поле До', 'session');
      $err_data = 1;
      
    }
    
    IF ($before <= 0){
      
      ERROR('Значение в поле До не может быть меньше 0', 'session');
      $err_data = 1;
    
    }
    
    IF ($err_data == 1){     
      
      REDIRECT('?path=site&section=modules&mod=rating&get=add_medal&edit='.$medal['ID'].'');
    
    }
    
    DB::GET_SET("UPDATE `RATING_MEDAL` SET `FROM` = '".$from."', `BEFORE` = '".$before."' WHERE `ID` = '".$medal['ID']."' LIMIT 1");
    
    SUCCESS('Изменения успешно приняты', 'session');
    REDIRECT('?path=site&section=modules&mod=rating&get=add_medal');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post'>";
  
  HTML::INPUT('from', 'От', 'От какой единицы рейтинга отображать медаль у пользователя', NULL, $medal['FROM'], 'form-control-30');
  
  HTML::INPUT('before', 'До', 'До какой единицы рейтинга отображать медаль у пользователя', NULL, $medal['BEFORE'], 'form-control-30');
  
  HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=rating&get=add_medal'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
------------------
Добавление медалей
------------------
*/

IF (GET('get') == 'add_medal'){
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post' id='js-form' method='post' enctype='multipart/form-data'>";
  
  HTML::INPUT('from', 'От', 'От какой единицы рейтинга отображать медаль у пользователя', NULL, NULL, 'form-control-30');
  
  HTML::INPUT('before', 'До', 'До какой единицы рейтинга отображать медаль у пользователя', NULL, NULL, 'form-control-30');
  
  IF (CONFIG('CSRF') == 1){
    
    ECHO '<input type="hidden" name="'.$token_id.'" value="'.$token_value.'">';
  
  }
  
  FILE::UPLOAD('/files/receiver/rating_medal.php', 'Загрузить', 0);
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<div id='medal_upgrade'>";
  
  $column = DB::GET_COLUMN("SELECT COUNT(*) FROM `RATING_MEDAL`");
  $spage = SPAGE($column, $page_settings);
  $page = PAGE($spage);
  $limit = $page_settings * $page - $page_settings;
  
  ECHO "<div class='fon2'>";
  
  ECHO "<div class='list-title'><b>".LG('Список медалей')." <span class='count2'>$column</span></b></div>";
  
  IF ($column == 0){ 
    
    HTML::EMPTY();
  
  }
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `RATING_MEDAL` ORDER BY `ID` DESC LIMIT ".$limit.", ".$page_settings."");
  
  WHILE ($list = $data->FETCH()){
    
    ECHO "<div class='list'>";
    
    ECHO "<img src='/files/upload/medal/".$list['ID'].".".$list['EXT']."'><br />";
    
    ECHO "".LG('Выводится')." ".LG('от')." <b>".$list['FROM']."</b> ".LG('до')." <b>".$list['BEFORE']."</b> ".LG('ед.')." ".LG('рейтинга')."<br /><br />";
    
    ECHO "<a href='/panel/?path=site&section=modules&mod=rating&edit=".$list['ID']."' class='panel-button'>".ICONS('pencil', 15, 'fa-fw')." ".LG('Редактировать')."</a> ";
    ECHO "<a href='/panel/?path=site&section=modules&mod=rating&delete=".$list['ID']."' class='panel-button'>".ICONS('trash', 15, 'fa-fw')." ".LG('Удалить')."</a>";
    
    ECHO "</div>";
  
  }
  
  ECHO "</div>";
  
  IF ($spage > 1){ ECHO "<div class='list-body'>"; ECHO STR_PAGE('/panel/?path=site&section=modules&mod=rating&get=add_medal&', $spage, $page); ECHO "</div>"; }
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=rating'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
--------------------
Настройки параметров
--------------------
*/

$rating = @PARSE_INI_FILE(ROOT."/system/config/rating.ini", FALSE);

IF (POST('ok')){
  
  $money = ADSL(POST('money'));
  $blogs = ADSL(POST('blogs'));
  $blogs_comm = ADSL(POST('blogs_comm'));
  $photos = ADSL(POST('photos'));
  $photos_comm = ADSL(POST('photos_comm'));
  $videos = ADSL(POST('videos'));
  $videos_comm = ADSL(POST('videos_comm'));
  $music = ADSL(POST('music'));
  $guest = ADSL(POST('guest'));
  $forum = ADSL(POST('forum'));
  $forum_comm = ADSL(POST('forum_comm'));
  
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'MONEY', $money);
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'BLOGS', $blogs);
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'BLOGS_COMMENTS', $blogs_comm);  
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'PHOTOS', $photos);
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'PHOTOS_COMMENTS', $photos_comm);
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'VIDEOS', $videos);
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'VIDEOS_COMMENTS', $videos_comm);
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'MUSIC', $music);
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'GUEST', $guest);
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'FORUM', $forum);
  INI::UPGRADE(ROOT.'/system/config/rating.ini', 'FORUM_COMMENTS', $forum_comm);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=site&section=modules&mod=rating');
  
}

ECHO "<div class='fon'>";

ECHO "<a href='?path=site&section=modules&mod=rating&get=add_medal' class='panel-button2'>".ICONS('plus', 15, 'fa-fw')." ".LG('Добавить медали')."</a>";

ECHO "</div>";

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

HTML::INPUT('money', 0, 'Сколько денег снимать за покупку 1 единицы рейтинга в магазине услуг:', NULL, $rating['MONEY'], 'form-control-30', 'text');

HTML::INPUT('blogs', 0, 'Сколько начислять за добавление записи в блоге:', NULL, $rating['BLOGS'], 'form-control-30', 'text');

HTML::INPUT('blogs_comm', 0, 'Сколько начислять за добавление комментария под записью в блоге:', NULL, $rating['BLOGS_COMMENTS'], 'form-control-30', 'text');

HTML::INPUT('photos', 0, 'Сколько начислять за добавление фото:', NULL, $rating['PHOTOS'], 'form-control-30', 'text');

HTML::INPUT('photos_comm', 0, 'Сколько начислять за добавление комментария под фото:', NULL, $rating['PHOTOS_COMMENTS'], 'form-control-30', 'text');

HTML::INPUT('videos', 0, 'Сколько начислять за добавление видео:', NULL, $rating['VIDEOS'], 'form-control-30', 'text');

HTML::INPUT('videos_comm', 0, 'Сколько начислять за добавление комментария под видео:', NULL, $rating['VIDEOS_COMMENTS'], 'form-control-30', 'text');

HTML::INPUT('music', 0, 'Сколько начислять за добавление музыки:', NULL, $rating['MUSIC'], 'form-control-30', 'text');

HTML::INPUT('guest', 0, 'Сколько начислять за добавление комментария в гостевой:', NULL, $rating['GUEST'], 'form-control-30', 'text');

HTML::INPUT('forum', 0, 'Сколько начислять за добавление темы на форуме:', NULL, $rating['FORUM'], 'form-control-30', 'text');

HTML::INPUT('forum_comm', 0, 'Сколько начислять за добавление комментария в тему на форуме:', NULL, $rating['FORUM_COMMENTS'], 'form-control-30', 'text');

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";
  
?>